//用户
customerService={
		login:function(name,password,callback){  //登录
			encryptNet.connect("/app/customer/login",{"name":name,"password":password},callback,"post");
		},
		users:{"nitifyPush":{"username":"推送辅助","avatar":"./img/messnotify.png"},"admin":{"username":"管理员","avatar":"./image/icons/logo.png"}},
		userGet:function(no,callback){
			if(this.users[no]){
				if(callback){callback(this.users[no])}
				return;
			}
			encryptNet.connect("/app/user/get",{"no":no},function(data){
				customerService.users[no]=data.result;
				if(callback){callback(customerService.users[no])}
			});
		},
		getMember:function(callback){//获取个人关键信息
			var customer_ID=encryptNet.getCustomer_ID()
			if(customer_ID==undefined || encryptNet.getToken()==undefined){//判断是否登陆
				encryptNet.setToken("");
				encryptNet.setCustomer_ID("");
				app.load(".index-login");
			}else{
				encryptNet.connect("/app/customer/getCustomerInfoById",{"customer_ID":customer_ID},callback);
			}
		},
		sendPhoneCode:function(phone,callback){//发送手机验证码非注册方式
			encryptNet.connect("/app/customer/sendPhoneCode",{"phone":phone},callback);
		},
		verificationCode:function(phone,callback){//注册：发送注册验证码
			encryptNet.connect("/app/customer/verificationCode",{"phone":phone},callback);
		},
		register:function(phone,mobileValidateCode,password,confirmPassword,callback){//用户注册
			encryptNet.connect("/app/customer/register",{"phone":phone,"mobileValidateCode":mobileValidateCode,"password":password,"confirmPassword":confirmPassword},callback);
		},
		changeUsername:function(username,callback){//修改用户名
			encryptNet.connect("/app/customer/changeUsername",{"customer_ID":encryptNet.getCustomer_ID(),"username":username},callback);
		},
		changeSex:function(sex,callback){//修改性别
			encryptNet.connect("/app/customer/changeSex",{"customer_ID":encryptNet.getCustomer_ID(),"sex":sex},callback);
		},
		changeBirthday:function(birthday,callback){//修改性别
			encryptNet.connect("/app/customer/changeBirthday",{"customer_ID":encryptNet.getCustomer_ID(),"birthday":birthday},callback);
		},
		changePassword:function(oldPassword,newPassword/*,phoneCode*/,callback){//修改密码
			var param = {"customer_ID":encryptNet.getCustomer_ID(),"oldPassword":oldPassword,"newPassword":newPassword/*,"phoneCode":phoneCode*/};
			encryptNet.connect("/app/customer/changePassword",param,callback);
		},
		forgetAndChangePassword:function(phone,newPassword,phoneCode,callback){//忘记密码后通过手机号码修改
			var param = {"phone":phone,"newPassword":newPassword,"phoneCode":phoneCode};
			encryptNet.connect("/app/customer/forgetAndChangePassword",param,callback);
		},
		logout:function(callback){//用户注销
			encryptNet.connect("/app/customer/logout",{"customer_ID":encryptNet.getCustomer_ID()},callback);
		},
    	chooseExclusiveHandlerList:function(serviceType,searchText,city,page,orderBy,direction,callback){//获取该客户未聘用的专属顾问列表
			encryptNet.connect("/app/customer/chooseExclusiveHandlerList",{"customer_ID":encryptNet.getCustomer_ID(),'serviceType':serviceType,'searchText':searchText,'city':city,'page':page,'orderBy':orderBy,'direction':direction},callback);
		},
		myExclusiveHandlersList:function(serviceType,searchText,city,page,orderBy,direction,callback){//我的专属顾问列表
				encryptNet.connect("/app/customer/myExclusiveHandlersList",{"customer_ID":encryptNet.getCustomer_ID(),'serviceType':serviceType,'searchText':searchText,'city':city,'page':page,'orderBy':orderBy,'direction':direction},callback);
		},
		addExclusiveHandler:function(handler_ID,tokinaga,paymentMethod,callback){//我的专属顾问的确认支付
			encryptNet.connect("/app/customer/addExclusiveHandler",{"customer_ID":encryptNet.getCustomer_ID(),"handler_ID":handler_ID,"tokinaga":tokinaga,"paymentMethod":paymentMethod},callback);
		},
		chooseExclusiveHandler:function(handler_ID,callback){//我的专属顾问的去支付页面
			encryptNet.connect("/app/customer/chooseExclusiveHandler",{"customer_ID":encryptNet.getCustomer_ID(),"handler_ID":handler_ID},callback);
			/**
			 * http://localhost:5980/app/customer/chooseExclusiveHandler?customer_ID=1&handler_ID=1
			 * {"code":200,"msg":"成功","result":{"handlerUsername":"手机服务人13640458601","handlerAvatar":"http://avatar.csdn.net/4/C/A/1_shimin555.jpg","Tokinaga":"{Tokinaga={QUARTER_text:'一个季度',QUARTER_tokinagaVal:'1000'},{HALF_text:'半年',HALF_tokinagaVal:'2000'},{YEAR_text:'一年',YEAR_tokinagaVal:'3500'}}"}}
			 */
		},
		/*********实事文章start************/
		pressNewsList:function(page,callback){//所有实事文章列表
			encryptNet.connect("/app/pressNews/list",{"page":page},callback);
		},
		pressNewsdetail:function(id,callback){//时事详情
			encryptNet.connect("/app/pressNews/detail",{"id":id},callback);
		},
		pressNewsAdd:function(container,title,handler_ID,callback){//添加时事
			encryptNet.connect("/app/pressNews/add",{"container":container,"title":title,"handler_ID":handler_ID},callback);
		},
		listByIdAndType:function(handler_ID,pressNewsType,callback){	//根据文章类型获取列表
			encryptNet.connect("/app/server/pressNews/findByIdAndType",{"handler_ID":handler_ID,"pressNewsType":pressNewsType},callback);
		},
		detailByType:function(id,pressNewsType,callback){
			encryptNet.connect("/app/pressNews/detailByType",{"id":id,"pressNewsType":pressNewsType},callback);
		},
		/*********实事文章end************/
		findCofferLogByCustomerIdAndCofferFlowType:function(cofferFlowType,callback){//根据customer_ID和资金流转类型cofferFlowType获取cofferlog
			encryptNet.connect("/app/cofferLog/findCofferLogByCustomerIdAndCofferFlowType",{"customer_ID":encryptNet.getCustomer_ID(),"cofferFlowType":cofferFlowType},callback);
		},
		commentList:function(pressNews_ID,callback){ //时事评论列表
			encryptNet.connect("/app/comment/list",{"pressNews_ID":pressNews_ID},callback);

		},
		commentPageList:function(pressNews_ID,page,callback){ //评论列表分页
			encryptNet.connect("/app/comment/pageList",{"pressNews_ID":pressNews_ID,"page":page},callback);
		},
		commentAdd:function(text,pressNews_ID,customer_ID,callback){ //添加时事评论
			encryptNet.connect("/app/comment/addComment",{"text":text,"customer_ID":customer_ID,"pressNews_ID":pressNews_ID},callback);
		},
		commentReply:function(text,comment_ID,pressNews_ID,customer_ID,callback){ //时事评论回复
			encryptNet.connect("/app/comment/reply",{"text":text,"comment_ID":comment_ID,"pressNews_ID":pressNews_ID,"customer_ID":customer_ID},callback);
		},
		//服务端 时事评论
		handlerAddComment:function(text,pressNews_ID,handler_ID,callback){	//服务人添加时事评论
			encryptNet.connect("/app/server/comment/addComment",{"text":text,"handler_ID":handler_ID,"pressNews_ID":pressNews_ID},callback);
		},
		//服务端 时事回复
		handlerReplyComment:function(text,comment_ID,pressNews_ID,callback){	//服务人回复
			encryptNet.connect("/app/server/comment/reply",{"text":text,"comment_ID":comment_ID,"pressNews_ID":pressNews_ID,"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		commentNum:function(pressNews_ID,callback){ //评论数
			encryptNet.connent("/app/comment/getCommentNum",{"pressNews_ID":pressNews_ID},callback);
		},
		
		getTitle:function(callback){
			var data={};
			data.title="标题";
			callback(data);
		},
		/************律师列表，详情页*************/
		listHandler:function(callback){  //律师列表
			encryptNet.connect("/app/handler/list",{},callback);
		},
		handlerPageList:function(page,callback){	//律师分页列表
			encryptNet.connect("/app/handler/pageList",{"page":page},callback);
		},
		detailHandler:function(handler_ID,callback){ //律师详情
			encryptNet.connect("/app/handler/detail",{"handler_ID":handler_ID},callback);
		},
		evaluateList:function(handler_ID,page,callbcak){	//用户评价分页列表
			encryptNet.connect("/app/evaluate/evaluateList",{"handler_ID":handler_ID,"page":page},callbcak);
		},
		evaluateListTop:function(handler_ID,callbcak){	//律师详情里的用户评价
			encryptNet.connect("/app/evaluate/findListTop",{"handler_ID":handler_ID},callback);
		},
		/*****************律师列表，详情页end***********************/
		recommendHandler:function(callback){ //知名推荐
			encryptNet.connect("/app/handler/recommend",{},callback,1);
		},
		feedbackAdd:function(content,callback){ //添加反馈
			uid="h"+encryptNet.getHandler_ID();
			encryptNet.connect("/app/feedback/add",{"content":content,"uid":uid},callback);
		},
		searchHandler:function(keyword,callback){	//通过关键字搜索律师
			encryptNet.connect("/app/handler/searchHandler",{"keyword":keyword},callback);
		},
		
		/**********************事件发布 start*************************************/
		/*
		 * 查找用户的需求委托
		 * param:
		 * 		eventStatus 需求委托状态
		 * eventStatus各状态说明:
		 * 		Publish		发布中
		 * 		Bidding		竞标中
		 * 		Proceed		进行中
		 * 		Finish		已完成
		 * 		Cancel		已取消
		 */
		find:function(eventStatus,callback){
			var param = {'customer_ID':encryptNet.getCustomer_ID(),'eventStatus':eventStatus};
			encryptNet.connect("/app/event/find",param,callback);
		},
		/*
		 * 取消需求委托竞标或者取消需求委托发布
		 * param:
		 * 		eventNum 订单号
		 * */
		cancelEvent:function(eventNum,callback){
			var param = {'customer_ID':encryptNet.getCustomer_ID(),'eventNum':eventNum};
			encryptNet.connect("/app/event/cancelEvent",param,callback);
		},
		/*
		 * 支付委托金
		 * param:
		 * 		serialNum 订单号
		 * */
		payGuaranteeMoney:function(serialNum,callback){//支付委托金
			var param = {'customer_ID':encryptNet.getCustomer_ID(),'serialNum':serialNum};
			encryptNet.connect("/app/event/payGuaranteeMoney",param,callback);
			
		},
		/*
		 * 新增用户的需求委托
		 * param:
		 * 		serviceType_ID 	服务类型id 
		 * 		reqDescription	需求描述
		 * 		province		省份
		 * 		city			城市
		 * 		town			镇区
		 * 		customer_ID		用户id
		 * */
		add:function(serviceType_ID,reqDescription,province,city,town,callback){
			var param = {	'serviceType_ID':serviceType_ID,
							'reqDescription':reqDescription,
							'province':province,
							'city':city,
							'town':town,
							'customer_ID':encryptNet.getCustomer_ID()};
			encryptNet.connect("/app/event/add",param,callback);
		},
		/**********************事件发布 end*************************************/
		/**********************我的发布 end*************************************/
		/*
		 *  我的需求委托列表
		 * param:
		 * 		eventStatus 需求委托状态
		 * 		page 分页参数：第几页
		 * eventStatus各状态说明:
		 * 		Publish		发布中
		 * 		Bidding		竞标中
		 * 		Proceed		进行中
		 * 		Finish		已完成
		 * 		Cancel		已取消
		 * */
		myEventList:function(eventStatus,page,callback){
			var param = {'customer_ID':1,'eventStatus':eventStatus,'page':page};
			encryptNet.connect("/app/event/myEventList",param,callback);
		},
		/**********************我的需求委托列表 end*************************************/
		/*
		 * 我的预约列表
		 * param:
		 * 		pretalkStatus 预约状态
		 * 		个状态说明:
		 * 		YYZ	预约中
		 * 		DZX	待咨询
		 * 		DFK	待付款
		 * 		YWC	已完成
		 * 		YJS	已结束
		 * */
		myPretalkList:function(pretalkStatus,page,callback){
			var hanlder_ID=encryptNet.getHandler_ID();
			if(hanlder_ID==undefined || encryptNet.getToken()==undefined){//判断是否登陆
				encryptNet.setToken("");
				encryptNet.setHandler_ID("");
				app.load(".index-login");
			}else{
				var param = {'handler_ID':hanlder_ID,'pretalkStatus':pretalkStatus,'page':page};
				encryptNet.connect("/app/server/pretalk/myPretalkList",param,callback);
			}
			
		},
		/*
		 *我的预约详情 
		 * */
		myPretalkDetail:function(id,callback){
			var hanlder_ID=encryptNet.getHandler_ID();
			if(hanlder_ID==undefined || encryptNet.getToken()==undefined){//判断是否登陆
				encryptNet.setToken("");
				encryptNet.setHandler_ID("");
				app.load(".index-login");
			}else{
				var param = {'handler_ID':hanlder_ID,'id':id};
				encryptNet.connect("/app/server/pretalk/pretalkDetail",param,callback);
			}
			
		},
		/*
		 * 同意预约
		 * */
		AgreePretalk:function(pretalk_ID,callback){
			encryptNet.connect("/app/server/pretalk/handlerAgreePretalk",{"handler_ID":encryptNet.getHandler_ID(),"pretalk_ID":pretalk_ID},callback);
		},
		/*
		 * 拒绝预约
		 * */
		DisagreePretalk:function(pretalk_ID,callback){
			encryptNet.connect("/app/server/pretalk/handlerDisagreePretalk",{"handler_ID":encryptNet.getHandler_ID(),"pretalk_ID":pretalk_ID},callback);
		},
		//zzs 2016年12月6日 个人中心-我的心意
		gift:function(callback){
			encryptNet.connect("/app/gift/findCofferlogByCustomerIdAndGiftNotNull",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		//律师回复评论
		replyComment:function(evaluate_ID,replyContent,callback){
			encryptNet.connect("/app/server/evaluate/replyEvaluate",{"handler_ID":encryptNet.getHandler_ID(),"evaluate_ID":evaluate_ID,"replyContent":replyContent},callback);
		},
		GroupHandlerList:function(serviceType,searchText,city,page,orderBy,direction,callback){	//助理管理 律师筛选列表
			encryptNet.connect("/app/handler/pageList",{'serviceType':serviceType,'searchText':searchText,'city':city,'page':page,'orderBy':orderBy,'direction':direction},callback);
		},
}


followService={
		all:function(callback){
			var targetID="h"+encryptNet.getHandler_ID();
			encryptNet.connect("/app/follow/all",{targetID:targetID},callback);
		},
		add:function(targetID,callback){
			var uid="h"+encryptNet.getHandler_ID();
			encryptNet.connect("/app/follow/add",{targetID:targetID,uid:uid},callback);
		},
		isfollow:function(targetID,callback){
			var uid="h"+encryptNet.getHandler_ID();
			encryptNet.connect("/app/follow/isfollow",{targetID:targetID,uid:uid},callback);
		},
		cancel:function(targetID,callback){
			var uid="h"+encryptNet.getHandler_ID();
			encryptNet.connect("/app/follow/cancel",{targetID:targetID,uid:uid},callback);
		}
}