//
handlerService={
		ListHandler:function(handler_ID,callback){  //律师列表
			encryptNet.connect("/app/handler/list",{"handler_ID":handler_ID},callback);
		},
		login:function(name,password,callback){  //登录
			encryptNet.connect("/app/handler/login",{"name":name,"password":password},callback,"post");
		},
		getMember:function(callback){//获取个人关键信息
			var handler_ID=encryptNet.getHandler_ID()
			if(handler_ID==undefined || encryptNet.getToken()==undefined){//判断是否登陆
				encryptNet.setToken("");
				encryptNet.setHandler_ID("");
				app.load(".index-login");
			}else{
				encryptNet.connect("/app/handler/getHandlerInfoById",{"handler_ID":handler_ID},callback);
			}
		},
		register:function(phone,mobileValidateCode,password,confirmPassword,code,callback){//用户注册
			encryptNet.connect("/app/handler/register",{"phone":phone,"mobileValidateCode":mobileValidateCode,"password":password,"confirmPassword":confirmPassword,"code":code},callback);
		},
		uploadAvatar:function(avatar,callback){//修改头像
			encryptNet.connect("/app/handler/uploadAvatar",{"handler_ID":encryptNet.getHandler_ID(),"avatar":avatar},callback);
		},
		uploadIdCardObverse:function(img,callback){//上传正面
			encryptNet.connect("/app/handler/uploadIdCardObverse",{"handler_ID":encryptNet.getHandler_ID(),"idCardObverse":img},callback);
		},
		uploadIdCardReverse:function(img,callback){//上传反面
			encryptNet.connect("/app/handler/uploadIdCardReverse",{"handler_ID":encryptNet.getHandler_ID(),"idCardReverse":img},callback);
		},
		uploadIdCardHandHold:function(img,callback){//上传手持
			encryptNet.connect("/app/handler/uploadIdCardHandHold",{"handler_ID":encryptNet.getHandler_ID(),"idCardHandHold":img},callback);
		},
		uploadPracticeImg:function(img,callback){//上传执业照
			encryptNet.connect("/app/handler/uploadPracticeImg",{"handler_ID":encryptNet.getHandler_ID(),"practiceImg":img},callback);
		},
		uploadVerificationImg:function(img,callback){//上传年审页照
			encryptNet.connect("/app/handler/uploadVerificationImg",{"handler_ID":encryptNet.getHandler_ID(),"verificationImg":img},callback);
		},
		sendPhoneCode:function(phone,callback){//发送手机验证码非注册方式
			encryptNet.connect("/app/handler/sendPhoneCode",{"phone":phone},callback);
		},
		verificationCode:function(phone,callback){//注册：发送注册验证码
			encryptNet.connect("/app/handler/verificationCode",{"phone":phone},callback);
		},
		/*register:function(phone,mobileValidateCode,password,confirmPassword,callback){//用户注册
			encryptNet.connect("/app/handler/register",{"phone":phone,"mobileValidateCode":mobileValidateCode,"password":password,"confirmPassword":confirmPassword},callback);
		},*/
		changeUsername:function(username,callback){//修改用户名
			encryptNet.connect("/app/handler/changeUsername",{"handler_ID":encryptNet.getHandler_ID(),"username":username},callback);
		},
		changeTalkAmountHour:function(talkAmountHour,callback){//修改计时收费标准
			encryptNet.connect("/app/handler/changeTalkAmountHour",{"handler_ID":encryptNet.getHandler_ID(),"talkAmountHour":talkAmountHour},callback);
		},
		changeSex:function(sex,callback){//修改性别
			encryptNet.connect("/app/handler/changeSex",{"handler_ID":encryptNet.getHandler_ID(),"sex":sex},callback);
		},
		changeBirthday:function(birthday,callback){//修改生日
			encryptNet.connect("/app/handler/changeBirthday",{"handler_ID":encryptNet.getHandler_ID(),"birthday":birthday},callback);
		},
		submitCertification:function(trueName,idCard,callback){//提交实名认证
			var param = {	"handler_ID":encryptNet.getHandler_ID(),
							"trueName":trueName,
							"idCard":idCard};
			encryptNet.connect("/app/handler/certificationStatus",param,callback);
		},
		setSeniorityType:function(seniorityType,callback){//设置证件类型：律师、会计师等
			var param = {	"handler_ID":encryptNet.getHandler_ID(),
							"seniorityType":seniorityType};
			encryptNet.connect("/app/handler/setSeniorityType",param,callback);
		},
		submitCredential:function(seniorityStartDay,seniorityNo,seniorityInstitution,seniorityLv,callback){
			var param = {	"handler_ID":encryptNet.getHandler_ID(),
							"seniorityStartDay":seniorityStartDay,
							"seniorityNo":seniorityNo,
							"seniorityInstitution":seniorityInstitution,
							"seniorityLv":seniorityLv};
			encryptNet.connect("/app/handler/submitCredential",param,callback);
		},
		getAllServiceType:function(callback){
			var param = {"handler_ID":encryptNet.getHandler_ID()};
			encryptNet.connect("/app/server/serviceType/getAll",param,callback);
		},
		setServiceType:function(serviceTypeIds,callback){//设置专业领域
			var param = {	"handler_ID":encryptNet.getHandler_ID(),
							"serviceType_IDs":serviceTypeIds};
			encryptNet.connect("/app/server/serviceType/addHandlerServiceType",param,callback);
		},
		changePassword:function(oldPassword,newPassword/*,phoneCode*/,callback){//修改密码
			var param = {"handler_ID":encryptNet.getHandler_ID(),"oldPassword":oldPassword,"newPassword":newPassword/*,"phoneCode":phoneCode*/};
			encryptNet.connect("/app/handler/changePassword",param,callback);
		},
		forgetAndChangePassword:function(phone,newPassword,phoneCode,callback){//忘记密码后通过手机号码修改
			var param = {"phone":phone,"newPassword":newPassword,"phoneCode":phoneCode};
			encryptNet.connect("/app/handler/forgetAndChangePassword",param,callback);
		},
		generateInvitation:function(callback){//生成邀请码
			var param = {"handler_ID":encryptNet.getHandler_ID()};
			encryptNet.connect("/app/invitation/addByHandler",param,callback);
		},
		logout:function(callback){//用户注销
			encryptNet.connect("/app/handler/logout",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		findCofferLogByHandlerIdAndCofferFlowTypePage:function(page,cofferFlowType,callback){//根据handler_ID和资金流转类型cofferFlowType获取cofferlog
			encryptNet.connect("/app/cofferLog/findCofferLogByHandlerIdAndCofferFlowTypePage",{"handler_ID_v":encryptNet.getHandler_ID(),'page':page,"cofferFlowType":cofferFlowType},callback);
		},
		homePageDetail:function(callback){	//个人主页详情
			encryptNet.connect("/app/server/handler/handlerHomePageDetail",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		addSummary:function(text,callback){	//添加个人简介
			encryptNet.connect("/app/server/handler/addSummary",{"handler_ID":encryptNet.getHandler_ID(),"text":text},callback);
		},
		findHandlerIncome:function(callback){	//服务端首页 获取服务人的收益
			if(null==encryptNet.getHandler_ID()){
				var data={};
				data.result={};
				data.result.thismonthIncome=0;
				data.result.incomeTotal=0;
				callback(data);
			}else{
				encryptNet.connect("/app/server/cofferLog/findHandlerIncome",{"handler_ID":encryptNet.getHandler_ID()},callback,1);
			}
			
		},
		findListByHandler:function(page,callback){	//服务端收到的评价列表
			encryptNet.connect("/app/server/evaluate/findListByHandler",{"handler_ID":encryptNet.getHandler_ID(),"page":page},callback);
		},
		findListTop:function(callback){	//个人主页详情 获取前几条评价
			encryptNet.connect("/app/server/evaluate/findListTop",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		replyEvaluate:function(evaluate_ID,replyContent,callback){	//服务端 回复评价
			encryptNet.connect("/app/server/evaluate/replyEvaluate",{"handler_ID":encryptNet.getHandler_ID(),"evaluate_ID":evaluate_ID,"replyContent":replyContent},callback);
		},
		findGiftList:function(callback){	//收到的心意列表,第一页
			encryptNet.connect("/app/server/gift/findGiftList",{"handler_ID":encryptNet.getHandler_ID(),"page":1},callback);
		},
		handlerDetail:function(handler_ID,callback){	//律师详情
			encryptNet.connect("/app/server/handler/handlerDetail",{"handler_ID_v":handler_ID},callback);
		},
		firstevaluateList:function(handler_ID,callback){	//律师详情 获取前几条评价
			encryptNet.connect("/app/server/evaluate/findListTopByHandlerIDv",{"handler_ID_v":handler_ID},callback);
		},
		/*
		 *  请求支付参数
		 * param:
		 * 		paymentMethod 支付方式
		 * 		orderSn 订单号
		 * 	   orderType 订单类型
		 *
		 * */
		onPay:function(paymentMethod,orderSn,orderType,callback){
			var param = {'handler_ID':encryptNet.getHandler_ID(),'paymentMethod':paymentMethod,'orderSn':orderSn,'orderType':orderType};
			encryptNet.connect("/app/server/pay",param,callback);
		},
		/*
		 *  获取订单参数
		 * param:
		 * 		paymentMethod 支付方式
		 * 		orderSn 订单号
		 * 	   orderType 订单类型
		 *
		 * */
		order:function(paymentMethod,orderSn,orderType,callback){
			var param = {'handler_ID':encryptNet.getHandler_ID(),'paymentMethod':paymentMethod,'orderSn':orderSn,'orderType':orderType};
			encryptNet.connect("/app/server/order",param,callback);
		},
		/**********************请求支付参数 end*************************************/
		//我的评论接口
		myReceiveComments:function(page,callback){
			
			var param = {
					"customer_ID":'',
					"handler_ID_v":encryptNet.getHandler_ID(),
					"page":page
			};
			encryptNet.connect("/app/comment/myReceiveComments",param,callback);
			
		},

		
		myComments:function(page,callback){
			var param = {
					"customer_ID":'',
					"handler_ID_v":encryptNet.getHandler_ID(),
					"page":page
			};
			encryptNet.connect("/app/comment/myComments",param,callback);
		},
		getisnotConsumedNotify:function(callback){  //得到服务人未消费过的通知
			encryptNet.connect("/app/notify/getisnotConsumedNotifyByHandler",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		getisnotConsumedNotifySize:function(callback){  //得到服务人未消费过的通知的数量
		encryptNet.connect("/app/notify/getisnotConsumedNotifySizeByHandler",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		listAllFriends:function(callback){
			encryptNet.connect("/app/friendsRelation/getMyFriendsVoByHandler",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		findFriend:function(customer_ID_v,handler_ID_v,callback){  //检查是否有这个好友(服务人用户进行操作)
			if(customer_ID_v!=''){
				encryptNet.connect("/app/friendsRelation/findFriendByHandler",{"handler_ID":encryptNet.getHandler_ID(),"customer_ID_v":customer_ID_v},callback);
			}else if(handler_ID_v!=''){
				encryptNet.connect("/app/friendsRelation/findFriendByHandler",{"handler_ID":encryptNet.getHandler_ID(),"handler_ID_v":handler_ID_v},callback);
			}
		},
		friendsAskForCustomer:function(customer_ID_v,hello,callback){  //申请添加用户好友(服务人用户进行操作)
			encryptNet.connect("/app/friendsAskFor/askforByHandler",{"handler_ID":encryptNet.getHandler_ID(),"customer_ID_v":customer_ID_v,"hello":hello},callback);
		},
		friendsAskForHanler:function(handler_ID_v,hello,callback){  //申请添加服务人好友
			encryptNet.connect("/app/friendsAskFor/askforByHandler",{"handler_ID":encryptNet.getHandler_ID(),"handler_ID_v":handler_ID_v,"hello":hello},callback);
		},
		getFriendsAskFor:function(friendsaskfor_ID,customer_ID_v,handler_ID_v,callback){  //
			if(customer_ID_v!=''){
				encryptNet.connect("/app/friendsAskFor/getFriendsAskForByHandler",{"handler_ID":encryptNet.getHandler_ID(),"friendsaskfor_ID":friendsaskfor_ID,"customer_ID_v":customer_ID_v},callback);
			}else if(handler_ID_v!=''){
				encryptNet.connect("/app/friendsAskFor/getFriendsAskForByHandler",{"handler_ID":encryptNet.getHandler_ID(),"friendsaskfor_ID":friendsaskfor_ID,"handler_ID_v":handler_ID_v},callback);
			}
		},
		addByHandler:function(customer_ID_v,handler_ID_v,friendsaskfor_ID,callback){  //同意添加好友(服务人进行操作)
			if(handler_ID_v!="null"){
				encryptNet.connect("/app/friendsRelation/addByHandler",{"handler_ID":encryptNet.getHandler_ID(),"handler_ID_v":handler_ID_v,"friendsaskfor_ID":friendsaskfor_ID},callback);
			}
			else if(customer_ID_v!="null"){
				encryptNet.connect("/app/friendsRelation/addByHandler",{"handler_ID":encryptNet.getHandler_ID(),"customer_ID_v":customer_ID_v,"friendsaskfor_ID":friendsaskfor_ID},callback);
			}
		},
		rejectToAdd:function(customer_ID_v,handler_ID_v,friendsaskfor_ID,refuseReason,callback){  //拒绝添加好友(服务人进行操作)
			if(handler_ID_v!="null"){
				encryptNet.connect("/app/friendsRelation/rejectToAddByHandler",{"handler_ID":encryptNet.getHandler_ID(),"handler_ID_v":handler_ID_v,"friendsaskfor_ID":friendsaskfor_ID,"refuseReason":refuseReason},callback);
			}
			else if(customer_ID_v!="null"){
				encryptNet.connect("/app/friendsRelation/rejectToAddByHandler",{"handler_ID":encryptNet.getHandler_ID(),"customer_ID_v":customer_ID_v,"friendsaskfor_ID":friendsaskfor_ID,"refuseReason":refuseReason},callback);
			}
		},
		friendsAskFor:function(phone,callback){  //根据手机号申请添加好友
			encryptNet.connect("/app/handler/friendsAskFor",{"handler_ID":encryptNet.getHandler_ID(),"phone":phone},callback);
		},
		talkInit:function(callback){  //服务端  我的服务  列表初始化
			encryptNet.connect("/app/server/talk/init",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		talkList:function(talkStatus,isCommonweal,page,callback){  //服务端 我的服务  根据handler_ID查询咨询服务列表
			encryptNet.connect("/app/server/talk/talkList",{"handler_ID":encryptNet.getHandler_ID(),"talkStatus":talkStatus,"isCommonweal":isCommonweal,"page":page},callback);
		},
		talkDetail:function(talkNum,callback){  //咨询服务详情
			encryptNet.connect("/app/server/talk/talkDetail",{"handler_ID":encryptNet.getHandler_ID(),"talkNum":talkNum},callback);
		},
		talkGongyiInit:function(callback){  //服务端  我的公益  列表初始化
			encryptNet.connect("/app/server/talk/gongyiInit",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		myPublicWelfareSetup:function(callback){  //我的公益设置页面
			encryptNet.connect("/app/handler/myPublicWelfareSetup",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		setChangqiPublicWelfare:function(callback){  //我的公益设置为长期公益服务
			encryptNet.connect("/app/handler/setChangqiPublicWelfare",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		cancelPublicWelfare:function(callback){  //取消公益服务
			encryptNet.connect("/app/handler/cancelPublicWelfare",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		setPublicWelfareTimeSetup2:function(serverTime,serverDateLine,callback){  //设置固定赠送时长
			encryptNet.connect("/app/publicWelfareTimeSetup/setPublicWelfareTimeSetup",{"handler_ID":encryptNet.getHandler_ID(),"serverTime":serverTime,"serverDateLine":serverDateLine},callback);
		},
		addHandlerCoupon:function(couponTime,useStartDate,useEndDate,minTime,createNum,callback){  //新增服务人时长券
			encryptNet.connect("/app/coupon/addHandlerCoupon",{"handler_ID":encryptNet.getHandler_ID(),"couponTime":couponTime,"useStartDate":useStartDate,"useEndDate":useEndDate,"minTime":minTime,"createNum":createNum},callback);
		},
		checkMyTicket:function(callback){  //检查服务人的服务人时长券是否还在有效期内
			encryptNet.connect("/app/handler/checkMyTicket",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		myConsumerList:function(callback){  //我的客户--对应被聘为顾问的用户
			encryptNet.connect("/app/server/consultant/myConsumerList",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		saveAlbum:function(albumFile,callback){		//保存相册
			encryptNet.connect("/app/server/handler/saveAlbum",{"handler_ID":encryptNet.getHandler_ID(),"albumFile":albumFile},callback);
		},
		checkHandler:function(callback){	//检测服务人是否有资格认证
			encryptNet.connect("/app/server/handler/checkHandler",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		fetchUnDealInvoice:function(page,callback){
			
			encryptNet.connect("/app/invoice/show",{"handler_ID":encryptNet.getHandler_ID(),statu:"UNDEAL",page:page},callback);
		},
		fetchDealInvoice:function(page,callback){
			encryptNet.connect("/app/invoice/show",{"handler_ID":encryptNet.getHandler_ID(),statu:"DEAL",page:page},callback);
		},
		nowSendInvoice:function(id,callback){
			encryptNet.connect("/app/invoice/send",{"handler_ID":encryptNet.getHandler_ID(),id:id},callback);
		},
		expiresHandlerCoupon:function(callback){//服务人是否设置了时长券或者设置的时长券已经过期了
			encryptNet.connect("/app/coupon/expiresHandlerCoupon",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		sendHandlerCoupon:function(customer_ID_v,callback){//服务人发送时长券给用户
			encryptNet.connect("/app/coupon/sendHandlerCoupon",{"handler_ID":encryptNet.getHandler_ID(),"customer_ID_v":customer_ID_v},callback);
		},
		
		jxzTalkList:function(callback){
			encryptNet.connect("/app/talk/getJXZTalk",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		handlerSetRegion:function(province,city,town,callback){		//服务人设置地区
			encryptNet.connect("/app/handler/setRegion",{"handler_ID":encryptNet.getHandler_ID(),"province":province,"city":city,"town":town},callback);
		},
		findAssistantsByHandlerAndTalkAuthority:function(callback){	//获取该服务人的我的咨询服务权限下的助理集合
			encryptNet.connect("/app/server/assistant/findAssistantsByHandlerAndTalkAuthority",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		isReplyPretalk:function(assistant_ID,pretalk_ID,callback){	//判断服务人是否操作回复预约	0:未超过时间，可以恢复  1：超过时间，无法恢复
			encryptNet.connect("/app/server/pretalk/isReplyPretalk",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"pretalk_ID":pretalk_ID},callback);
		},
};

groupService={
		
		list:function(chatID,callback){
			encryptNet.connect("/app/groupmessage/list", {handler_ID:encryptNet.getHandler_ID(),chatID:chatID}, callback);
		},
		add:function(container,chatID,groupID,callback){
			encryptNet.connect("/app/groupmessage/add", {handler_ID:encryptNet.getHandler_ID(),container:container,chatID:chatID,groupID:groupID}, callback);
		},
		signGroup:function(chatID,callback){
			callback({result:true});
		},
		hasApplyedGroupHelp:function(chatID,callback){
			encryptNet.connect("/app/groupmessage/hasApplyedGroupHelp", {searilNum:chatID}, callback);
		},
		listGroup:function(callback){
			encryptNet.connect("/app/groupmessage/listGroup", {who:"h"+encryptNet.getHandler_ID()}, callback);
		}
};