memberController={
	init:function(){
		handlerController.getMember();
	}
};
memberCenterController={
		init:function(){
			console.log("m2_init");
			handlerController.memberCenter();
		}
};
handlerController={
	//注册
	register:function(){
		//点击注册按钮后
		$("#submitBtn").attr("disabled","true");//设置按钮为不可用
		
		var phone = $("#phone").val();
		var phoneCode = $("#phoneCode").val();
		var password = $("#password").val();
		var rePassword = $("#rePassword").val();
		var isAgreement = $("#isAgreement").val();
		var code = $("#code").val();//邀请码
		if(password=='' || password==null || password==undefined){
			app.alert("密码不能为空");return ;
			$("#submitBtn").removeAttr("disabled");
		}else if(rePassword=='' || rePassword==null || rePassword==undefined){
			app.alert("重复密码不能为空");return ;
			$("#submitBtn").removeAttr("disabled");
		}else if(password != rePassword){
			app.alert("注册密码与重复密码不一致");
			$("#submitBtn").removeAttr("disabled");return ;
		}else{
			password = hex_md5(password).toUpperCase();
			rePassword = hex_md5(rePassword).toUpperCase();
			handlerService.register(phone,phoneCode,password,rePassword,code,function(data){
				console.log(data);
				if(data.msg=='此手机号码已注册' || data.msg=='手机验证码错误' || data.msg=='邀请码错误或过期，请注意大小写'){
					app.alert(data.msg);
					page1();//跳转到第一页
					return ;
				}
				//自动登陆
				encryptNet.setToken(data.result.handler.token);
				encryptNet.setHandler_ID(data.result.handler.id);
				if(window.EmChatPlugin){
					EmChatPlugin.login("h"+encryptNet.getHandler_ID(),function(){});
				}
				app.load('.index-memberCenter');
			});
		}
	},
	
	//注册时发送验证码
	getPhoneCode:function(parameter){
		var phone = parameter.phone;
		if(phone == undefined || phone==''){
			app.alert("手机号码不能为空");return;
		}
		handlerService.verificationCode(phone,function(data){
			app.alert(data.msg);
		});
	},
	//非注册时发送验证码
	sendPhoneCode:function(parameter){
		var phone = parameter;
		if(phone == undefined || phone==''){
			app.alert("手机号码不能为空");return;
		}
		handlerService.sendPhoneCode(phone,function(data){
			app.alert(data.msg);
		});
	},
	//登陆
	login:function(){
		var username=$("#username").val();
		var password=$("#password").val();
		localStorage["username"]=username;
		password = hex_md5(password).toUpperCase();
		handlerService.login(username,password,function(data){//data=Service层传过来的json对象
			console.log(data);
			encryptNet.setToken(data.result.handler.token);
			encryptNet.setHandler_ID(data.result.handler.id);
			if(window.EmChatPlugin){
				EmChatPlugin.login("h"+encryptNet.getHandler_ID(),function(){});
				EmChatPlugin.setUserName(data.result.handler.username);
			}
			if(app.locus_dissociate<1){
				app.load(".index-member",{"currentHandler" : data.result.handler});
			};
			if(app.locus_dissociate>0){
				app.retreat();
			};
		});
	},
	
	//【我的】页面
	getMember:function(){
		app.displaying={page:".index-member",parameter:{}};
		if(app.isLogin()){
			handlerService.getMember(function(data){
				console.log(data);
				app.displaying.page=".index-member";
				app.render(".index-member",{"currentHandler" : data.result.handler},function(){
					//认证返回底部没有显示
					$(".global-bottom-menu-bar").show();
					if (data.result.handler.credentialStatus=="YES") {
						$(".my_assistant").hide();
					}
				});
			});
		}
		else{
			
			
			app.displaying.page=".index-member";
			var currentHandler={
					username:"<a href='javascript:void(0)'>未登录</a>",
					frozen:0,
					account:0,
					avatar:"./image/index/pic.png",
					grade:'R0',
			}
			app.render(".index-member",{"currentHandler" : currentHandler});
		}
		
	},

	//跳转至【个人中心】页面
	memberCenter:function(){
		app.displaying.page = '.index-memberCenter';
		handlerService.getMember(function(data){
			data.result.handler = formatDomain.handler(data.result.handler);
			console.log(data);
			app.render(".index-memberCenter",{"currentHandler" : data.result.handler},function(){
				if (data.result.handler.assistantStatus=='ALREAY') {
					$(".serviceAuthentication").attr("onclick",'app.alert("请先解除助理的身份，再来认证服务资质。")');
				}
				if (data.result.handler.province) {
					$("#type_namemen").val(data.result.handler.province+","+data.result.handler.city+","+data.result.handler.town)
				}
			});
		});
	},
	//退出登录
	logout:function(){
		
		if(app.isLogin){////修改登陆信息失效时，返回页面样式无法加载
			handlerService.logout(function(data){});
			if(window.EmChatPlugin){
		  		  EmChatPlugin.logout();
		  	}
			encryptNet.setToken("");
			encryptNet.setHandler_ID("");
			setTimeout(function(){
				window.location.href='';
			},1000);
		}
		
	},
	//上传头像
	uploadAvatar:function(callback){
		app.uploadFile(function(img){
			callback(img);
			handlerService.uploadAvatar(img,function(data){
				console.log(data);
				if(data.code=200 || data.msg=='头像上传成功'){
					app.alert("头像上传成功");
				}
			});
		});
	},
	//上传正面_已过期
	uploadIdCardObverse:function(callback){
		app.uploadFile(function(img){
			callback(img);
			handlerService.uploadIdCardObverse(img,function(data){
				console.log(data);
				if(data.code=200 || data.msg=='上传成功'){
					app.alert("上传成功");
				}
			});
		});
	},
	//上传反面_已过期
	uploadIdCardReverse:function(callback){
		app.uploadFile(function(img){
			callback(img);
			handlerService.uploadIdCardReverse(img,function(data){
				console.log(data);
				if(data.code=200 || data.msg=='上传成功'){
					app.alert("上传成功");
				}
			});
		});
	},	
	//上传手持_已过期
	uploadIdCardHandHold:function(callback){
		app.uploadFile(function(img){
			callback(img);
			handlerService.uploadIdCardHandHold(img,function(data){
				console.log(data);
				if(data.code=200 || data.msg=='上传成功'){
					app.alert("上传成功");
				}
			});
		});
	},
	//上传执业照
	uploadPracticeImg:function(callback){
		app.uploadFile(function(img){
			callback(img);
			handlerService.uploadPracticeImg(img,function(data){
				console.log(data);
				if(data.code=200 || data.msg=='上传成功'){
					app.alert("上传成功");
				}
			});
		});
	},
	//上传年审页照
	uploadVerificationImg:function(callback){
		app.uploadFile(function(img){
			callback(img);
			handlerService.uploadVerificationImg(img,function(data){
				console.log(data);
				if(data.code=200 || data.msg=='上传成功'){
					app.alert("上传成功");
				}
			});
		});
	},
	
	//修改计时收费标准
	changeTalkAmountHour:function(money){
		var content="<div class='input_text'><input type='tel' placeholder='"+money+"' id='newTalkAmount' onkeyup='value=value.replace(/[^\d{1,}\.\d{1,}|\d{1,}]/g,'')'></div>"+
					"<div class='input_text'><span>（设定范围为60~2000元/小时）</span></div>";
		//if(certificationStatus=='已认证'&&credentialStatus=='已认证'){
			app.confirm(content,
			function(){
				var newTalkAmount = $.trim($("#newTalkAmount").val());				
				if(!newTalkAmount){
					setTimeout(function(){app.alert('请输入新的咨询费')},0);
					return ;
				}
				if(newTalkAmount> 2000||newTalkAmount< 60){
					setTimeout(function(){app.alert('填写金额超过限制，咨询费用单价为每小时60元至180元')},0);
					return ;
				}else{
					handlerService.changeTalkAmountHour(newTalkAmount,function(){
						app.refresh();
					});
				}
			},function(){
				layer.closeAll();
			},["确定","取消"]);
		
	},
	//修改或保存用户名
	changeUsername:function(oldName){
		var content="<div class='input_text'><input type='text' placeholder='"+oldName+"' id='newUsername'></div>"+
					"<div class='input_text'><span>用户名由中文数字组成，不超过16个字符</span></div>";
		app.confirm(content,
			function(){

				var newUsername = $.trim($("#newUsername").val());				
				
				 if(!newUsername){
				 	setTimeout(function(){app.alert('请输入新用户名')},0);
				 	
					return ;
				}if(newUsername.length > 16){
					setTimeout(function(){app.alert('用户名由中文/数字组成，不得超过16个字符')},0);
					return ;
				}
				else{
					handlerService.changeUsername(newUsername,function(){
					app.refresh();
					});
				}
			},function(){

				layer.closeAll();


		},["确定","取消"])
	},
	//更改性别
	changeSex:function(){
		var content="<div class='ckeck_button'><span>男</span> <button value='MAN' onclick='top_up(this)' class='button_pay2'></button></div>"+
					"<div class='ckeck_button'><span>女</span> <button value='WOMAN' onclick='top_up(this)'' class='button_pay2'></button></div>";
		app.confirm(content,
			function(){

				var newSex = $("#oldSex").attr('data-value');//新选择的性别				
				
				handlerService.changeSex(newSex,function(){
				app.refresh();

				});
			},function(){

				layer.closeAll();


		},["确定","取消"])
	},
	//更改出生日期
	//更改出生日期
	changeBirthday:function(showDateDom_time){
		
		if(!showDateDom_time){

		 	setTimeout(function(){app.alert('出生日期不能为空')},0);
		 	
			return ;
		}
		else{

			handlerService.changeBirthday(showDateDom_time,function(){
			app.refresh();
			});

		}
			
	},
	//所在地区
	inthearea:function(){
		var inputcity=$("#type_namemen").val();
		var loadtown=$("#type_namemen").attr("index");
		var province = inputcity.split(",")[0];
		var city = inputcity.split(",")[1];
		var town = inputcity.split(",")[2];
		if (inputcity=="") {
			app.alert("请重新选择地区。");
		}
		else{
			if (loadtown!=town) {
				handlerService.handlerSetRegion(province,city,town,function(data){
					app.alert(data.msg)
					
				})
			}
		}
	},
	//修改密码
	changePassword:function(){
		var oldPassword = $("#oldPassword").val();//旧密码
		var newPassword = $("#newPassword").val();//新密码
		var newPassword2 = $("#newPassword2").val();//确认新密码
		//var phoneCode = $("#phoneCode").val();//验证码
		if(oldPassword==""){
			app.alert("请输入旧密码");return;
		}else if(newPassword==""){
			app.alert("请输入新密码");return;
		}else if(newPassword2==""){
			app.alert("请输入确认密码");return;
		}
		if(newPassword!=newPassword2){
			app.alert("两次输入的密码不一致");
			return ;
		}
		oldPassword = hex_md5(oldPassword).toUpperCase();//旧密码
		newPassword = hex_md5(newPassword).toUpperCase();//新密码
		newPassword2 = hex_md5(newPassword2).toUpperCase();//确认新密码
		handlerService.changePassword(oldPassword,newPassword/*,phoneCode*/,function(data){
			console.log(data);
			app.alert(data.msg);
			if(data.msg == "修改成功"){
				app.alert("修改成功");
				handlerController.getMember();
			}else{
				app.load(".index-member");
			}
			
		});
			
	},
	//忘记密码修改
	forgetAndChangePassword:function(){
		var phone = $("#phone").val();//手机号
		var newPassword = $("#newPassword").val();//新密码
		var newPassword2 = $("#newPassword2").val();//确认新密码
		var phoneCode = $("#phoneCode").val();//验证码
		if(newPassword==""){
			app.alert("请输入新密码");return;
		}else if(newPassword2==""){
			app.alert("请输入确认密码");return;
		}
		if(newPassword!=newPassword2){
			app.alert("两次输入的密码不一致");
			return ;
		}
		if(phoneCode==""){
			app.alert("必须输入手机验证码");
			return;
		}
		newPassword = hex_md5(newPassword).toUpperCase();//新密码
		newPassword2 = hex_md5(newPassword2).toUpperCase();//确认新密码
		handlerService.forgetAndChangePassword(phone,newPassword,phoneCode,function(data){
			console.log(data);
			app.alert(data.msg);
			if(data.msg == "修改成功"){
				handlerController.getMember();
			}else{
				app.load(".index-forgetPassword");
			}
			
		});
	},
	
	//【实名认证】页面
	certification:function(certificationStatus){
		var certificationStatus = $("#certificationStatus").text();
		//如果已认证，则跳转到认证信息页面，未认证则跳转到认证页面
		if(certificationStatus=='null' || certificationStatus == '未认证'){
			app.load(".index-authentication");//跳转到实名认证页面
		}else if(certificationStatus == '已认证'){
			app.displaying.page = '.index-authStatus';
			app.render(".index-authStatus",{'msg1':'实名认证已成功认证！','msg2':''});
		}else if(certificationStatus == '审核中'){
			app.displaying.page = '.index-authStatus';
			app.render(".index-authStatus",{'msg1':'实名认证已成功提交！','msg2':'平台将于两个工作日内审核完毕，请耐心等候！'});
		}else if(certificationStatus == '不通过'){
			app.load(".index-authentication");//跳转到实名认证页面
		}
	},
	
	//提交认证
	submitCertification:function(){
		var trueName = $("#trueName").val();//真实姓
		var idCard = $("#idCard").val();//身份证号
		if(trueName == ''){
			app.alert("请输入真实姓名");return;
		}else if(idCard == ''){
			app.alert("请输入身份证号");return;
		}
		handlerService.submitCertification(trueName,idCard,function(data){
			console.log(data);
			if(data.code=200 && data.msg=='提交成功'){
				//跳转到提交成功页面
				app.displaying.page = '.index-authStatus';
				app.render(".index-authStatus",{'msg1':'实名认证已成功提交！','msg2':'平台将于两个工作日内审核完毕，请耐心等候！'});
			}else{
				app.alert(data.msg);
			}
		});
	},
	
	//充值/收入明细
	findCofferLogs:function(param){
		app.displaying.page = '.index-recharge';
		var account = param.account;//余额
		var cofferFlowType = param.cofferFlowType;//资金流转类型
		/*
		 *	定义对象cofferLogs，里面分别含有以下两个对象节点：
		 *		YCKSRCofferLogs预存款收入记录（充值记录）
		 *		TXZCCofferLogs提现支出记录
		 */ 
		var cofferLogs = {'YCKSRCofferLogs':{},'TXZCCofferLogs':{}};
		cofferLogs.account = account;//给cofferLogs对象加入account(余额)节点
		handlerService.findCofferLogByHandlerIdAndCofferFlowTypePage(1,cofferFlowType[0],function(data){
			cofferLogs.YCKSRCofferLogs = data;
			//格式化cofferLog对象
			var cofferLog = cofferLogs.YCKSRCofferLogs.result;
			for(var i in cofferLog.list){
				cofferLog.list[i] = formatDomain.cofferLog(cofferLog.list[i]);
			}
			handlerService.findCofferLogByHandlerIdAndCofferFlowTypePage(1,cofferFlowType[1],function(data){
				cofferLogs.TXZCCofferLogs = data;
				//格式化cofferLog对象
				var cofferLog = cofferLogs.TXZCCofferLogs.result;
				for(var i in cofferLog.list){
					cofferLog.list[i] = formatDomain.cofferLog(cofferLog.list[i]);
				}
				console.log(cofferLogs);
				app.render(".index-recharge",{'cofferLogs':cofferLogs});
			});
		});
	},
	
	generateInvitation:function(){
		handlerService.generateInvitation(function(data){
			console.log(data);
			if(data.result.code != null){
				layer.open(
					{	content: '邀请码已成功复制，快去发给好友吧。'
						,btn: ['好的']
						,yes: function(){layer.closeAll();}
					}
				);
				 EmChatPlugin.share(
			        		"paste",
			        		"自事在人",
			        		"邀请码："+data.result.code,
			        		null,
			        		"邀请码："+data.result.code
			     );
			}
		});
	}
}

