payController = {
	init: function(parameter) {
		var orderSn = parameter.orderSn; //支付订单号
		var amount = parameter.amount; //支付金额
		var orderType = parameter.orderType;
		var primitiveAmount;
		//app.alert(orderType)
		var orderTypeName = "";
		if (orderType == "COLLABORATION") {
			orderTypeName = "协助订单";
		}

		console.log(orderTypeName);
		//app.alert(orderTypeName);
		publicService.add(function(data) {
			console.log(data.result);
			handlerService.order(data.result.PaymentMethod[0].name, orderSn, orderType,
				function(orderData) {
					console.log(orderData);

					app.render('.index-pay', {
							"orderSn": orderData.result.order.sn,
							"amount": orderData.result.order.needPayMoney,
							"primitiveAmount": orderData.result.order.primitivePayMoney,
							"orderType": orderData.result.order.orderType,
							"orderTypeName": orderData.result.order.subject,
							"PaymentMethod": data.result.PaymentMethod
						},
						function() {
							$(".draft_p").each(function() {
								var namepay = $(this).html();
								if (namepay == "微信") {
									$(this).addClass("draft_pay_weixin");
								} else if (namepay == "账户余额") {
									$(this).addClass("draft_pay_account");
								} else if (namepay == "银联") {
									$(this).addClass("draft_pay_UnionPay");
								} else if (namepay == "支付宝") {
									$(this).addClass("draft_pay_Alipay");
									$(this).siblings(".pay_account_left").children().attr("class", "button_pay");
								}
							});

						});

				});

		});
	},
	pay_btn: function(orderSn, orderType) {

		var paymentMethod = $(".pay_account").val();
		if (paymentMethod == "") {
			layer.open({
				type: 0,
				anim: 2,
				title: false,
				//不显示标题
				closeBtn: 1,
				shade: 0.1,
				shadeClose: true,
				closeBtn: false,
				content: '<img src="./image/icons/flase.png"> <p>订单支付失败，请选择支付类型<p>',
			});
			$(".laymshade").css("opacity", "0");

		} else if (orderSn == "") {
			layer.open({
				type: 0,
				anim: 2,
				title: false,
				//不显示标题
				closeBtn: 1,
				shade: 0.1,
				shadeClose: true,
				closeBtn: false,
				content: '<img src="./image/icons/flase.png"> <p>订单支付失败，请继续支付<p>',
			});
			$(".laymshade").css("opacity", "0");
		} else if (orderType == "") {
			layer.open({
				type: 0,
				anim: 2,
				title: false,
				//不显示标题
				closeBtn: 1,
				shade: 0.1,
				shadeClose: true,
				closeBtn: false,
				content: '<img src="./image/icons/flase.png"> <p>订单支付失败，请继续支付<p>',
			});
			$(".laymshade").css("opacity", "0");
		} else {
			// if (orderType=="ADVISER") {//顾问生成订单
			// 	customerService.unPayAdviser(paymentMethod,orderSn,orderType,function(data){
			// 		orderSn =
			// 	});
			// }
			var paymentStatus;
			handlerService.onPay(paymentMethod, orderSn, orderType,
				function(data) {

					console.log(data);
					if (data.code == 200) {
						//余额支付
						if (paymentMethod == 'BALANCEPAY') {
							app.alert(data.msg);
							//支付成功跳转页面
							var title = "";
							var url = "";
							if (orderType == "COLLABORATION") {
								title = "协作订单";
								url = "app.load('.index-collaboration')";
							}

							console.log(orderType + "---" + paymentStatus);
							app.displaying.page = ".index-paysuccess";
							app.load('.index-paysuccess', {
								'orderType': data.result.orderType,
								'title': title,
								'url': url,
								'orderSn': orderSn
							});

						}
						//app.load(".index-paysuccess")
						//第二步：调用支付插件
						if (paymentMethod == 'ALIPAY') {
							cordova.plugins.AliPay.pay(data.result,
								function success(e) {
									console.log("---3");
									console.log(e);
									paymentStatus = 200;
									console.log("---" + paymentStatus);

									console.log(orderType + "---" + paymentStatus);
									//支付成功跳转页面
									var title = "";
									var url = "";
									if (orderType == "COLLABORATION") {
										title = "协助订单";
										url = "app.load('.index-collaboration')";
									}

									console.log(orderType + "---" + paymentStatus);
									app.displaying.page = ".index-paysuccess";
									app.load('.index-paysuccess', {
										'orderType': data.result.orderType,
										'title': title,
										'url': url,
										'orderSn': orderSn
									});

								},
								function error(e) {
									//console.log(e);
									if (e.memo != '') {
										app.alert(e.memo);
									}
								});

						}
						console.log(paymentMethod);
						if (paymentMethod == 'WECHATPAY') {
							data.result = eval('(' + data.result + ')');
							//console.log(data.result.mch_id);
							
							var params = {
								partnerid: data.result.mch_id,
								// merchant id
								prepayid: data.result.prepay_id,
								// prepay id
								noncestr: data.result.nonce_str,
								// nonce
								timestamp: data.result.timestamp,
								// timestamp
								sign: data.result.sign,
								// signed string
							}

							Wechat.sendPaymentRequest(params,
								function() {
									app.alert("支付成功");
									//支付成功跳转页面
									var title = "";
									var url = "";
									if (orderType == "COLLABORATION") {
										title = "协助订单";
										url = "app.load('.index-collaboration')";
									}
	
									app.displaying.page = ".index-paysuccess";
									app.load('.index-paysuccess', {
										'orderType': data.result.orderType,
										'title': title,
										'url': url,
										'orderSn': orderSn
									});
								},
								function(reason) {
									app.alert(reason);
								});

						}

						//e.resultStatus  状态代码  e.result  本次操作返回的结果数据 e.memo 提示信息
						//e.resultStatus  9000  订单支付成功 ;8000 正在处理中  调用function success
						//e.resultStatus  4000  订单支付失败 ;6001  用户中途取消 ;6002 网络连接出错  调用function error
						//当e.resultStatus为9000时，请去服务端验证支付结果
						/**
						 * 同步返回的结果必须放置到服务端进行验证（验证的规则请看https://doc.open.alipay.com/doc2/
						 * detail.htm?spm=0.0.0.0.xdvAU6&treeId=59&articleId=103665&
						 * docType=1) 建议商户依赖异步通知
						 */

						if (paymentMethod == 'UNIONPAY') {

							var tn = data.result;
							if (tn == '0') {
								app.alert("敬请期待");
							} else {
								EmChatPlugin.openChinaPay(tn,
									function () {
										app.alert("支付成功");
										//支付成功跳转页面
										var title = "";
										var url = "";
										if (orderType == "COLLABORATION") {
											title = "协助订单";
											url = "app.load('.index-collaboration')";
										}

										app.displaying.page = ".index-paysuccess";
										app.load('.index-paysuccess', {
											'orderType': data.result.orderType,
											'title': title,
											'url': url,
											'orderSn': orderSn
										});
									},
									function (reason) {
										app.alert(reason);
									});

							}
						}
					} else {
						//app.load(".index-main")
					}

				});
		}
	},
	pay: function(pay_serialNum, pay_type, pay_money, paymentMethod) {
		console.log(pay_serialNum); //支付流水号
		console.log(pay_type); //支付类型
		console.log(pay_money); //支付金额
		console.log(paymentMethod); //支付方式
		//赠送心意支付
		if (pay_type == '赠送心意') {
			giftService.pay(pay_serialNum, pay_type, pay_money, paymentMethod,
				function(data) {
					console.log(data);
					app.render('.index-paysuccess', {
						'customerCofferLog': data.result.customerCofferLog
					});
				});
		}
		//TODO 其他方式支付....待添加
	}
}