rechargeController = {
	initpage: 1,
	init: function(parameter) {
		handlerService.getMember(function(data) {

			console.log(data);
			var customer = formatDomain.handler(data.result.handler);

			publicService.add(function(data) {
				console.log(data);
				var paymentMethod = data.result.PaymentMethod;
				app.displaying.page = ".index-recharge";
				//跳转渲染页面
				app.render('.index-recharge', {
						"customer": customer,
						"paymentMethod": paymentMethod
					},
					function() {
						$(".draft_p").each(function() {
							var namepay = $(this).html();
							if (namepay == "微信") {
								$(this).addClass("top_on_pay_weixin");
							} else if (namepay == "账户余额") {
								$(this).addClass("top_on_pay_account");
								$(this).parent().hide();
							} else if (namepay == "银联") {
								$(this).addClass("top_on_pay_UnionPay");
							} else if (namepay == "支付宝") {
								$(this).addClass("top_on_pay_Alipay");
								$(this).siblings(".pay_account_left").children().attr("class", "button_pay");
							}
						});

						//跳转
						if(parameter&&parameter.backto){
							console.log(parameter.backto+"_tab") ;
							$("#"+parameter.backto+"_top").click();
							$("#"+parameter.backto+"_tab").click();

						}

					});

			});
		});
	},
	/**
	 * 下拉页面
	 * @param rechargeType
	 * @param pullpage
	 */
	pullerRecharge: function(rechargeType, pullpage) {
		pullpage++;
		var pageload = '<div class="dropload-load"><span class="loading"></span>加载中-...</div>';
		var pagenone = '<div class="dropload-noData">暂无更多-</div>';
		var pageclick = '<p onclick="rechargeController.pullerRecharge(\'' + rechargeType + '\',' + pullpage + ')">点击查看更多</p>';

		//链接接口
		rechargeService.myRechargeList(rechargeType, pullpage,
			function(data) {
				data = rechargeController.formatDate(data);
				if (data.result.totalPages == 0) {
					if (rechargeType == 'RECHARGE') {
						$(".TemporarilyRECHARGE").html('');
						$(".TemporarilyRECHARGE").append(pagenone);
						$("#tabRECHARGE .search-empty").css("display", "block");
					} else if (rechargeType == 'CRASH') {
						$(".TemporarilyCRASH").html('');
						$(".TemporarilyCRASH").append(pagenone);
						$("#tabCRASH .search-empty").css("display", "block");
					}

				} else if (data.result.totalPages == pullpage) {

					var iterator; //迭代元素
					var iteratorTab;
					//重构节点结构
					var iterator; //迭代元素
					var iteratorTab;
					data = rechargeController.formatDate(data);
					if (rechargeType == 'RECHARGE') {
						data.rechargeList = data.result.list; //节点转移
						iterator = '#iteratorRECHARGE';
						iteratorTab = '.iteratorTabRECHARGE';
					} else if (rechargeType == 'CRASH') {
						data.crashList = data.result.list; //节点转移
						iterator = '#iteratorCRASH';
						iteratorTab = '.iteratorTabCRASH';
					}

					//添加数据到html
					app.getModalHtml('.index-recharge',
						function(modal) {
							console.log(data);
							var html = app.ELEngineConvert(modal, data);
							if (rechargeType == 'RECHARGE') {
								$(".TemporarilyRECHARGE").html('');
								$(".TemporarilyRECHARGE").append(pagenone);
								$("#tabRECHARGE .search-empty").css("display", "none");
							} else if (rechargeType == 'CRASH') {
								$(".TemporarilyCRASH").html('');
								$(".TemporarilyCRASH").append(pagenone);
								$("#tabCRASH .search-empty").css("display", "none");
							}
							$(iteratorTab).append(html);
						},
						iterator);

				} else {

					var iterator; //迭代元素
					var iteratorTab;
					//重构节点结构
					var iterator; //迭代元素
					var iteratorTab;

					if (rechargeType == 'RECHARGE') {
						data.rechargeList = data.result.list; //节点转移
						iterator = '#iteratorRECHARGE';
						iteratorTab = '.iteratorTabRECHARGE';
					} else if (rechargeType == 'CRASH') {
						data.crashList = data.result.list; //节点转移
						iterator = '#iteratorCRASH';
						iteratorTab = '.iteratorTabCRASH';
					}

					//添加数据到html
					app.getModalHtml('.index-recharge',
						function(modal) {
							console.log(data);
							var html = app.ELEngineConvert(modal, data);
							if (rechargeType == 'RECHARGE') {
								$(".TemporarilyRECHARGE").html('');
								$(".TemporarilyRECHARGE").append(pageclick);
								$("#tabRECHARGE .search-empty").css("display", "none");
							} else if (rechargeType == 'CRASH') {
								$(".TemporarilyCRASH").html('');
								$(".TemporarilyCRASH").append(pageclick);
								$("#tabCRASH .search-empty").css("display", "none");
							}
							$(iteratorTab).append(html);
						},
						iterator);

				}
			});
	},

	/**
	 * 充值记录
	 * @param rechargeType
	 */
	getRecharge: function(rechargeType) {
		var pageload = '<div class="dropload-load"><span class="loading"></span>加载中-...</div>';
		var pagenone = '<div class="dropload-noData">暂无更多-</div>';
		var pageclick = '<p onclick="rechargeController.pullerRecharge(\'' + rechargeType + '\',' + '1' + ')">点击查看更多</p>';

		//链接接口
		rechargeService.myRechargeList(rechargeType, 1,
			function(data) {
				data = rechargeController.formatDate(data);
				if (data.result.totalPages == 0) {
					if (rechargeType == 'RECHARGE') {
						$(".TemporarilyRECHARGE").html('');
						//$(".TemporarilyRECHARGE").append(pagenone);
						$("#tabRECHARGE .search-empty").css("display", "block");
					} else if (rechargeType == 'CRASH') {
						$(".TemporarilyCRASH").html('');
						//$(".TemporarilyCRASH").append(pagenone);
						$("#tabCRASH .search-empty").css("display", "block");
					}

				} else if (data.result.totalPages == 1) {

					var iterator; //迭代元素
					var iteratorTab;
					//重构节点结构
					var iterator; //迭代元素
					var iteratorTab;
					data = rechargeController.formatDate(data);
					if (rechargeType == 'RECHARGE') {
						data.rechargeList = data.result.list; //节点转移
						console.log(data);
						iterator = '#iteratorRECHARGE';
						iteratorTab = '.iteratorTabRECHARGE';
					} else if (rechargeType == 'CRASH') {
						data.crashList = data.result.list; //节点转移
						console.log(data);
						iterator = '#iteratorCRASH';
						iteratorTab = '.iteratorTabCRASH';
					}

					//添加数据到html
					app.getModalHtml('.index-recharge',
						function(modal) {
							console.log(data);
							var html = app.ELEngineConvert(modal, data);
							if (rechargeType == 'RECHARGE') {
								$(".TemporarilyRECHARGE").html('');
								$(".TemporarilyRECHARGE").append(pagenone);
								$("#tabRECHARGE .search-empty").css("display", "none");
							} else if (rechargeType == 'CRASH') {
								$(".TemporarilyCRASH").html('');
								$(".TemporarilyCRASH").append(pagenone);
								$("#tabCRASH .search-empty").css("display", "none");
							}
							$(iteratorTab).html('');
							$(iteratorTab).append(html);
						},
						iterator);

				} else {

					var iterator; //迭代元素
					var iteratorTab;
					//重构节点结构
					var iterator; //迭代元素
					var iteratorTab;

					if (rechargeType == 'RECHARGE') {
						data.rechargeList = data.result.list; //节点转移
						console.log(data);
						iterator = '#iteratorRECHARGE';
						iteratorTab = '.iteratorTabRECHARGE';
					} else if (rechargeType == 'CRASH') {
						data.crashList = data.result.list; //节点转移
						console.log(data);
						iterator = '#iteratorCRASH';
						iteratorTab = '.iteratorTabCRASH';
					}

					//添加数据到html
					app.getModalHtml('.index-recharge',
						function(modal) {
							console.log(data);
							var html = app.ELEngineConvert(modal, data);
							if (rechargeType == 'RECHARGE') {
								$(".TemporarilyRECHARGE").html('');
								$(".TemporarilyRECHARGE").append(pageclick);
								$("#tabRECHARGE .search-empty").css("display", "none");
							} else if (rechargeType == 'CRASH') {
								$(".TemporarilyCRASH").html('');
								$(".TemporarilyCRASH").append(pageclick);
								$("#tabCRASH .search-empty").css("display", "none");
							}
							$(iteratorTab).html('');
							$(iteratorTab).append(html);
						},
						iterator);

				}
			});

	},
	/**
	 * 添加支付，充值记录
	 * @param amount
	 * @param rechargeType
	 * @param paymentMethod
	 */
	add: function(amount, rechargeType, paymentMethod) {
		if (amount == '') {
			app.alert("请输入支付金额");
			return;
		} else if (paymentMethod == '') {
			app.alert("请选择支付方式");
			return;
		}
		var orderType = "RECHARGE";
		rechargeService.add(amount, rechargeType, paymentMethod,
			function(data) {
				console.log(data);
				//未认证
				if(data.result==null){
					app.alert(data.msg);return;
				}
				//& data.result.gift.giftNum !="" & data.result.gift.price >0
				if (data.code == 200 && rechargeType == "RECHARGE" && data.result.recharge.id > 0) {
					var orderSn = data.result.recharge.rechargeNum;

					var paymentStatus;
					handlerService.onPay(paymentMethod, orderSn, orderType,
						function(data) {

							console.log(data);
							if (data.code == 200) {

								//e.resultStatus  状态代码  e.result  本次操作返回的结果数据 e.memo 提示信息
								//e.resultStatus  9000  订单支付成功 ;8000 正在处理中  调用function success
								//e.resultStatus  4000  订单支付失败 ;6001  用户中途取消 ;6002 网络连接出错  调用function error
								//当e.resultStatus为9000时，请去服务端验证支付结果
								/**
								 * 同步返回的结果必须放置到服务端进行验证（验证的规则请看https://doc.open.alipay.com/doc2/
								 * detail.htm?spm=0.0.0.0.xdvAU6&treeId=59&articleId=103665&
								 * docType=1) 建议商户依赖异步通知
								 */
								//第二步：调用支付插件
								if (paymentMethod == 'ALIPAY') {
									cordova.plugins.AliPay.pay(data.result,
										function success(e) {

											paymentStatus = 200;

											//支付成功跳转页面
											var title = "";
											var url = "";

											title = "充值订单";
											url = "app.load('.index-recharge',{'backto':'recharge'})";

											console.log(orderType + "---" + paymentStatus);
											app.displaying.page = ".index-paysuccess";
											app.load('.index-paysuccess', {
												'orderType': data.result.orderType,
												'title': title,
												'url': url,
												'orderSn': orderSn
											});

										},
										function error(e) {
											//console.log(e);
											if (e.memo != '') {
												app.alert(e.memo);
											}
										});

								}
								console.log(paymentMethod);
								if (paymentMethod == 'WECHATPAY') {

								data.result = eval('(' + data.result + ')');
								//console.log(data.result.mch_id);
								
                           		var params = {
										partnerid: data.result.mch_id,
										// merchant id
										prepayid: data.result.prepay_id,
										// prepay id
										noncestr: data.result.nonce_str,
										// nonce
										timestamp: data.result.timestamp,
										// timestamp
										sign: data.result.sign,
										// signed string
									}

									Wechat.sendPaymentRequest(params,
										function() {
											app.alert("支付成功");
											//支付成功跳转页面
											var title = "";
											var url = "";

											title = "充值订单";
											url = "app.load('.index-recharge',{'backto':'recharge'});";

											console.log(orderType + "---" + paymentStatus);
											app.displaying.page = ".index-paysuccess";
											app.load('.index-paysuccess', {
												'orderType': data.result.orderType,
												'title': title,
												'url': url,
												'orderSn': orderSn
											});
										},
										function(reason) {
											app.alert(reason);
										});

								}

								if (paymentMethod == 'UNIONPAY') {

									var tn= data.result ;



									EmChatPlugin.openChinaPay(tn,
										function() {
											app.alert("支付成功");
											//支付成功跳转页面
											var title = "";
											var url = "";

											title = "充值订单";
											url = "app.load('.index-recharge',{'backto':'recharge'});";

											console.log(orderType + "---" + paymentStatus);
											app.displaying.page = ".index-paysuccess";
											app.load('.index-paysuccess', {
												'orderType': data.result.orderType,
												'title': title,
												'url': url,
												'orderSn': orderSn
											});

										},
										function(reason) {
											app.alert(reason);
										});

								}

							} else {
								//app.load(".index-main")
							}

						});

				} else {
					console.log("crash");
					app.load('.index-recharge',{'backto':'crash'});
				}

			});
	},
	formatDate: function(data) { //格式化时间戳
		var length = data.result.length;
		for (var i = 0; i < length; i++) {
			var createTime = data.result.list[i].createTime;
			data.result.list[i].createTime = (new Date(parseInt(createTime)).Format("yyyy-MM-dd hh:mm"));
		}
		return data;

	},
	/**
	 * 跳转至支付页面
	 * @param amount 交易金额
	 * @param serialNum 流水号
	 * @param payType 支付类型
	 */
	onPay: function(orderSn, paymentMethod, orderType) {
		app.load('.index-pay', {
			"orderSn": orderSn,
			"amount": amount,
			"orderType": orderType
		})
	},

}

//giftController.pay(${#allList.serialNum},'ALREADYPAY','ALREADYINCOME');
