serviceAuthenticationController={
	init:function(){
		handlerService.getMember(function(data){
			data.result.handler = formatDomain.handler(data.result.handler);
			console.log(data.result.handler);
			if(data.result.handler.certificationStatus=='未认证'){
				app.load('.index-authentication','NO')
				app.alert("请先提交实名认证后，再尝试进行操作");
			}
			else{
				app.render('.index-serviceAuthentication',{"currentHandler" : data.result.handler},function(){
					if(!data.result.handler.talkAmount){
						app.retreat();
						app.alert("请先设置咨询费用单价",function(){
							setTimeout(function(){
								handlerController.changeTalkAmountHour(0);
							},200);
							
						});
					}
				});
			}
		});
	},
	//跳转到证书设置
	seniorityTypePage:function(credentialStatus,seniorityType){
		app.displaying.page = '.index-serviceAuthSeniorityType';
		if(credentialStatus=="未认证" || credentialStatus=="不通过"){
			app.render('.index-serviceAuthSeniorityType',{"seniorityType" : seniorityType});
		}
	},
	
	//设置服务类型
	setSeniorityType:function(seniorityType){
		handlerService.setSeniorityType(seniorityType,function(data){
				app.load('.index-serviceAuthentication')
		});
	},
	//跳转到专业领域
	professionPage:function(){
		app.displaying.page = '.index-serviceAuthProfession';
		handlerService.getAllServiceType(function(data){
			console.log(data);
			if(data.result==null){
				app.alert(data.msg); return;
			}
			app.render('.index-serviceAuthProfession',{"allServiceType" : data.result.list,"idList" : data.result.idList});
		});
	},
	
	//设置专业领域（服务类型）
	setServiceType:function(serviceTypeIds){
		handlerService.setServiceType(serviceTypeIds,function(data){
			console.log(data);
			app.alert(data.msg,function(){
				app.load('.index-memberCenter');
			});
		});
	},
	
	//提交认证
	submitCredential:function(seniorityStartDay,seniorityNo,seniorityInstitution,seniorityLv){
		app.displaying.page = '.index-memberCenter';
		handlerService.submitCredential(seniorityStartDay,seniorityNo,seniorityInstitution,seniorityLv,function(data){
			//未设置证书类型或咨询单价
			if(data.result == null){
				app.alert(data.msg,function(){
					//app.load('.index-serviceAuthSeniorityType');
				});
				return;
			}
			data.result.handler = formatDomain.handler(data.result.handler);
			console.log(data);
			app.alert(data.msg,function(){
				app.load('.index-memberCenter');
			});
		});
	},
	
	
}