// draft_way_li Menu
var draft_way_li = document.querySelectorAll('.draft_way_li');
var draft_way_liArray = Array.prototype.slice.call(draft_way_li,0);
draft_way_liArray.forEach(function(el){
	var button = el.querySelector('a[data-toggle="draft_way_li"]'),
			menu = el.querySelector('.draft_way_li-menu'),
			arrow = button.querySelector('img.icon-arrow');

	button.onclick = function(event) {
		if(!menu.hasClass('show')) {
			menu.classList.add('show');
			menu.classList.remove('hide');
			arrow.classList.add('open');
			arrow.classList.remove('close');
			event.preventDefault();
		}
		else {
			menu.classList.remove('show');
			menu.classList.add('hide');
			arrow.classList.remove('open');
			arrow.classList.add('close');
			event.preventDefault();
		}
	};
})

Element.prototype.hasClass = function(className) {
    return this.className && new RegExp("(^|\\s)" + className + "(\\s|$)").test(this.className);
};