//个人助理
assistantService={
	    assistantList:function(page,callback){	//个人助理列表
			encryptNet.connect("/app/server/assistant/AssistantList",{"handler_ID":encryptNet.getHandler_ID(),"page":page},callback);
		},
		assistantDetail:function(assistant_ID,callback){	//助理信息
			encryptNet.connect("/app/server/assistant/assistantDetail",{"assistant_ID":assistant_ID},callback);
		},
		selectAssistantList:function(serviceType,searchText,city,page,orderBy,direction,callback){	//选择助理列表
			encryptNet.connect("/app/server/assistant/selectAssistantList",{'handler_ID':encryptNet.getHandler_ID(),'serviceType':serviceType,'searchText':searchText,'city':city,'page':page,'orderBy':orderBy,'direction':direction},callback);
		},
		/*
		 * 添加个人助理
		 * isPressNewsAuthority,isTalkAuthority,isGongyiAuthority,isBiddingAuthority,isPretalkAuthority ： 传 YES或NO
		 * */
		add:function(percent, handler_ID, isPressNewsAuthority,isTalkAuthority,isBiddingAuthority,isPretalkAuthority,callback){  //添加个人助理
			encryptNet.connect("/app/server/assistant/addAssistant",{
				"handler_ID":encryptNet.getHandler_ID(),
				"percent":percent,"be_handler_ID":handler_ID,
				"isPressNewsAuthority":isPressNewsAuthority,
				"isTalkAuthority":isTalkAuthority,
				"isBiddingAuthority":isBiddingAuthority,
				"isPretalkAuthority":isPretalkAuthority,
				},callback);
		},
		noticeList:function(page,callback){	//通知列表
			encryptNet.connect("/app/server/assistant/noticeList",{"handler_ID":encryptNet.getHandler_ID(),"page":page},callback);
		},
		processed:function(assistant_ID,assistantNoticeType,callback){	//个人助理处理申请通知 assistantNoticeType ACCEPT:同意,REFUSED:拒绝
			encryptNet.connect("/app/server/assistant/processed",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"assistantNoticeType":assistantNoticeType},callback);
		},
		// searchAssistantList:function(keyword,page,callback){	//搜索助理列表
		// 	encryptNet.connect("/app/server/assistant/searchAssistantList",{"keyword":keyword,"page":page},callback);
		// },
		applyHandlerAddAssistant:function(fromHandler_ID,callback){	//我的 助理管理 申请律师添加助理
			encryptNet.connect("/app/server/assistant/applyHandlerAddAssistant",{"handler_ID":encryptNet.getHandler_ID(),"fromHandler_ID":fromHandler_ID},callback);
		},
		// assistantManagerInfo:function(callback){	//助理管理信息
		// 	encryptNet.connect("/app/server/assistant/assistantManagerInfo",{"handler_ID":encryptNet.getHandler_ID()},callback);
		// },
		assistantNoticeList:function(page,callback){	//助理管理-添加助理通知列表
			encryptNet.connect("/app/server/assistant/assistantNoticeList",{"handler_ID":encryptNet.getHandler_ID(),"page":page},callback);
		},
		assistantManagerInfo:function(callback){	//助理管理信息
			encryptNet.connect("/app/server/assistant/assistantManagerInfo",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		assistantAddPressNews:function(assistant_ID,content,title,pressNewsType,formData,callback){	//助理管理 我的发布
			var param = {	"assistant_ID":assistant_ID,
						"title":title,
						"content":content,
						"pressNewsType":pressNewsType,
						"file":formData};//实名认证图片数组
			encryptNet.connect("/app/server/pressNews/assistantAdd",param,callback);
		},
		myBiddingListByAssistant:function(assistant_ID,biddingStatus,page,callback){	//助理管理 我的竞标列表
			encryptNet.connect("/app/server/bidding/myBiddingListByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"biddingStatus":biddingStatus,"page":page},callback);
		},
		myPretalkByAssistant:function(assistant_ID,pretalkStatus,page,callback){	//助理管理 我的预约列表
			encryptNet.connect("/app/server/pretalk/myPretalkByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"pretalkStatus":pretalkStatus,"page":page},callback);
		},
		pretalkDetailByAssistant:function(assistant_ID,id,callback){	//助理管理 预约详情
			encryptNet.connect("/app/server/pretalk/pretalkDetailByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"id":id},callback);
		},
		assistantAgreePretalk:function(assistant_ID,pretalk_ID,callback){	//助理管理 同意预约操作
			encryptNet.connect("/app/server/pretalk/assistantAgree",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"pretalk_ID":pretalk_ID},callback);
		},
		assistantDisagreePretalk:function(assistant_ID,pretalk_ID,callback){	//助理管理 拒绝预约操作
			encryptNet.connect("/app/server/pretalk/assistantDisagree",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"pretalk_ID":pretalk_ID},callback);
		},
		talkListByAssistant:function(assistant_ID,talkStatus,page,callback){	 //助理管理 我的服务
			encryptNet.connect("/app/server/talk/talkListByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"talkStatus":talkStatus,"page":page},callback);
		},
		gongyiListByAssistant:function(assistant_ID,talkStatus,page,callback){	//助理管理 我的公益 
			encryptNet.connect("/app/server/talk/gongyiListByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"talkStatus":talkStatus,"page":page},callback);
		},
		talkDetailByAssistant:function(assistant_ID,talkNum,callback){	//助理管理 公益，咨询服务详情
			encryptNet.connect("/app/server/talk/talkDetailByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"talkNum":talkNum},callback);
		},
		talkByAssistant:function(assistant_ID,callback){	//助理管理 我的服务 列表初始化
			encryptNet.connect("/app/server/talk/talkByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		gongyiInitByAssiatant:function(assistant_ID,callback){	//助理管理 我的公益  列表初始化
			encryptNet.connect("/app/server/talk/gongyiInitByAssiatant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		myPublicWelfareSetupByAssistant:function(assistant_ID,callback){	//助理管理 我的公益设置页面
			encryptNet.connect("/app/server/assistant/myPublicWelfareSetupByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		setChangqiPublicWelfareByAssistant:function(assistant_ID,callback){		//助理管理 我的公益设置为长期公益服务
			encryptNet.connect("/app/server/assistant/setChangqiPublicWelfareByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		cancelPublicWelfareByAssistant:function(assistant_ID,callback){		//助理管理 取消公益服务
			encryptNet.connect("/app/server/assistant/cancelPublicWelfareByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		setPublicWelfareTimeSetupByAssistant:function(assistant_ID,serverTime,serverDateLine,callback){	//助理管理 设置固定赠送时长
			encryptNet.connect("/app/server/assistant/setPublicWelfareTimeSetupByAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"serverTime":serverTime,"serverDateLine":serverDateLine},callback);
		},
		addHandlerCouponByAssistant:function(assistant_ID,couponTime,useStartDate,useEndDate,minTime,createNum,callback){  	//助理管理 新增服务人时长券
			encryptNet.connect("/app/server/assistant/addHandlerCoupon",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"couponTime":couponTime,"useStartDate":useStartDate,"useEndDate":useEndDate,"minTime":minTime,"createNum":createNum},callback);
		},
		expiresHandlerCoupon:function(assistant_ID,callback){	//助理管理 服务人是否设置了时长券或者设置的时长券已经过期了
			encryptNet.connect("/app/server/assistant/expiresHandlerCoupon",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		checkMyTicket:function(assistant_ID,callback){	//助理管理 检查服务人的服务人时长券是否还在有效期内
			encryptNet.connect("/app/server/assistant/checkMyTicket",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		findAssistantsByHandlerAndTalkAuthority:function(callback){	//获取该服务人的我的咨询服务权限下的助理集合
			encryptNet.connect("/app/server/assistant/findAssistantsByHandlerAndTalkAuthority",{"handler_ID":encryptNet.getHandler_ID()},callback);
		},
		assistantByBiddingAuthority:function(page,callback){	//获取有竞标权限的助理列表
			encryptNet.connect("/app/server/assistant/assistantByBiddingAuthority",{"handler_ID":encryptNet.getHandler_ID(),"page":page},callback);
		},
		removeAssistantByHandler:function(assistant_ID,callback){	//服务人解除助理
			encryptNet.connect("/app/server/assistant/removeAssistantByHandler",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		removeAssistantApply:function(assistant_ID,callback){	//助理申请解除助理关系
			encryptNet.connect("/app/server/assistant/removeAssistantApply",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID},callback);
		},
		replyRemoveAssistant:function(assistant_ID,assistantRemoveStatus,callback){	//服务人回复申请解除助理操作 assistantRemoveStatus  同意 ：ALREADYREMOVE，拒绝：REFUSE
			encryptNet.connect("/app/server/assistant/replyRemoveAssistant",{"handler_ID":encryptNet.getHandler_ID(),"assistant_ID":assistant_ID,"assistantRemoveStatus":assistantRemoveStatus},callback);
		}


}