//需求委托
pressNewsService={
	/*********实事文章start************/
	pressNewsList:function(page,callback){//所有实事文章列表
		encryptNet.connect("/app/pressNews/list?page="+page,{},callback,2);
	},
	pressNewsdetail:function(id,callback){//时事详情
		encryptNet.connect("/app/pressNews/detail?id="+id,{},callback,2);
	},
	addPressNews:function(title,content,pressNewsType,formData,callback){//添加实事
		var param = {	"handler_ID":encryptNet.getHandler_ID(),
						"title":title,
						"content":content,
						"pressNewsType":pressNewsType,
						"formData":formData};//实名认证图片数组
		//此处connectFile为带文件的上传接口，带文件的上传操作必须使用connectFile
		encryptNet.connectFile("/app/server/pressNews/addPressNews",param,callback);
	},
	add:function(title,content,pressNewsType,file,callback){//添加实事异步
		encryptNet.connect("/app/server/pressNews/add",{"handler_ID":encryptNet.getHandler_ID(),"title":title,"content":content,"pressNewsType":pressNewsType,"file":file},callback);
	},
	listByIdAndType:function(handler_ID,pressNewsType,callback){	//根据文章类型获取列表
		
	},
	detailByType:function(id,pressNewsType,callback){
		encryptNet.connect("/app/pressNews/detailByType",{"id":id,"pressNewsType":pressNewsType},callback);
	},
	/*********实事文章end************/
	findCofferLogByCustomerIdAndCofferFlowType:function(cofferFlowType,callback){//根据customer_ID和资金流转类型cofferFlowType获取cofferlog
		encryptNet.connect("/app/cofferLog/findCofferLogByCustomerIdAndCofferFlowType",{"customer_ID":encryptNet.getCustomer_ID(),"cofferFlowType":cofferFlowType},callback);
	},
	commentList:function(pressNews_ID,callback){ //时事评论列表
		encryptNet.connect("/app/comment/list",{"pressNews_ID":pressNews_ID},callback);

	},
	commentPageList:function(pressNews_ID,page,callback){ //评论列表分页
		encryptNet.connect("/app/comment/pageList",{"pressNews_ID":pressNews_ID,"page":page},callback);
	},
	commentAdd:function(text,pressNews_ID,customer_ID,callback){ //添加时事评论
		encryptNet.connect("/app/comment/addComment",{"text":text,"customer_ID":customer_ID,"pressNews_ID":pressNews_ID},callback);
	},
	commentReply:function(text,comment_ID,pressNews_ID,customer_ID,callback){ //时事评论回复
		encryptNet.connect("/app/comment/reply",{"text":text,"comment_ID":comment_ID,"pressNews_ID":pressNews_ID,"customer_ID":customer_ID},callback);
	},
	commentNum:function(pressNews_ID,callback){ //评论数
		encryptNet.connent("/app/comment/getCommentNum",{"pressNews_ID":pressNews_ID},callback);
	},
	myPressNewsList:function(pressNewsType,page,callback){//我发布的所有实事文章列表
		encryptNet.connect("/app/server/pressNews/myPressNewsList",{"handler_ID":encryptNet.getHandler_ID(),"pressNewsType":pressNewsType,"page":page},callback);
	},
	PressNewsList:function(handler_ID,pressNewsType,page,callback){//律师详情页 根据handler_ID_v,文章类型查询列表
		encryptNet.connect("/app/server/pressNews/findByIdAndType",{"handler_ID_v":handler_ID,"pressNewsType":pressNewsType,"page":page},callback);
	},
	pushPraisePressNews:function(pressNews_ID,callback){		//服务端 律师点赞文章
		encryptNet.connect("/app/server/pushPraise/pushPraisePressNews",{"handler_ID":encryptNet.getHandler_ID(),"pressNews_ID":pressNews_ID},callback);
	},
	findpushPraiseList:function(pressNews_ID,callback){		//服务端 点赞列表
		encryptNet.connect("/app/pushPraise/findListByPressNews",{"pressNews_ID":pressNews_ID},callback);
	},
	isPushPraise:function(pressNews_ID,callback){	//服务端 检测是否点赞
		encryptNet.connect("/app/server/pushPraise/isPushPraise",{"handler_ID":encryptNet.getHandler_ID(),"pressNews_ID":pressNews_ID},callback);
	},
	cancelPushPraise:function(pushPraise_ID,callback){	//服务端 取消点赞
		encryptNet.connect("/app/pushPraise/cancelPushPraise",{"id":pushPraise_ID},callback);
	},
	findPressNewsByReadCount:function(callback){	//服务端首页 根据浏览量获取时事文章
		encryptNet.connect("/app/server/pressNews/findPressNewsByReadCount?page=1",{},callback,2);
	},
	
}